Description

QGIS tips could be made richer by adding individual visual changelog entries as separate tips. In this way, user will learn more quickly

about new features for each version, with minimal effort and no duplication.

Currently the tips are cpp source and images are part of the resources:

https://github.com/qgis/QGIS/blob/master/src/app/qgstipfactory.cpp#L162

Visual changelog items can be exported to rst or html, but currently on one page. Some hacking will be needed to do such automatically.

So we could choose:

    -  copying the text into the ccp file by hand (duplication, not nice, but simple)

    -  (when user is online) to deeplink to the website with url's like:

http://qgis.org/en/site/forusers/visualchangelog260/#feature-color-palettes

and show those in the tips (I do not like the idea of leaving offline users orphans)

    -  rework the tips, so to separate the C++ frame and the rst content, and take the content straight from the documentation (this wouls

also make translation easier and not duplicated).

Thanks Richard for hints.

History

#1 - 2016-08-03 01:05 AM - Harrissou Santanna

This is a great idea!!! Will indeed help users to learn what's new in QGIS and also automatically improve and update the tips (we do not have so many)

#2 - 2016-08-04 01:49 AM - Richard Duivenvoorde

To me the only viable option would be to deep link to online (translated) versions.

See also https://github.com/qgis/QGIS-Enhancement-Proposals/issues/51

Hoping to come to a online (editable) documentation system, which could alternatively be downloaded into a zip and viewed offline...

I have problems getting this from the ground though...

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-03-07 11:27 AM - Paolo Cavallini

2024-03-13 1/2

https://github.com/qgis/QGIS/blob/master/src/app/qgstipfactory.cpp#L162
http://qgis.org/en/site/forusers/visualchangelog260/#feature-color-palettes
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/51


- Status changed from Open to In Progress

- Description updated

Changelog available from the last menu. Would be good to add a link to https://www.qgis.org/it/site/forusers/visualchangelog30/index.html
